Subject: Re: bug#56292: 29.0.50; Compilation failure since recent loaddefs speed up

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 30 Jun 2022 20:21:40 +0200

Sean Whitton <[email-masked]> writes:

> If you replace
>
>     (define-obsolete-function-alias 'subtract-time 'time-subtract "\
> 26.1")
>
> with
>
>     (define-obsolete-function-alias 'subtract-time 'time-subtract "26.1")
>
> in loaddefs.el then the problem goes away.

Hm.  Yes, I'll change it to format the string without the \ (because
only doc strings should be formatted that way), but this is pretty bizarre.

> I hacked loadup.el and
> determined that when loadup.el is loading loaddefs.el,
>
>     (macroexpand-1
>      '(define-obsolete-function-alias 'subtract-time 'time-subtract "\
> 26.1"))
>
> yields
>
> (progn (defalias 'subtract-time 'time-subtract nil)
>        (make-obsolete 'subtract-time 'time-subtract 0))
>
> which is not the correct expansion according to the definition of
> define-obsolete-function-alias ..

"\
26.1"

and

"26.1"

should yield an identical string after it's been read by the lisp
reader, so I don't understand how it could be making a difference here.  

Unless makedoc is involved somehow...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no